{ inputs, ... }:
{
  mjallen-lib = {
    # Import module utilities
    module = import ./module { inherit inputs; };

    # Import file utilities
    file = import ./file { inherit inputs; };

    # Import system utilities
    system = import ./system { inherit inputs; };

    # Import reverse proxy utilities
    reverseproxy = import ./reverseproxy { inherit inputs; };

    # Import examples
    examples = import ./examples { inherit inputs; };
  };
}
